System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Flags To be added

Defines access levels used by permission classes.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.EventLogPermissionAccess

  The can create an event source, read existing logs, delete event sources or logs, respond to entries, clear an event log, listen to events, and access a collection of all event logs.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete
  System.Diagnostics.EventLogPermissionAccess To be added

  The can read existing logs, delete event sources or logs, respond to entries, clear an event log, listen to events, and access a collection of all event logs. Note This member is now obsolete, use instead.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete
  System.Diagnostics.EventLogPermissionAccess To be added

  The can read existing logs. Note This member is now obsolete, use instead.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete
  System.Diagnostics.EventLogPermissionAccess To be added

  The can read or write to existing logs, and create event sources and logs. Note This member is now obsolete, use instead.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.EventLogPermissionAccess To be added

  The has no permissions.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.EventLogPermissionAccess

  The can write to existing logs, and create event sources and logs.